Get a Portfolio File Download URL

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Visible API MCP server": {
  "url": "https://docs.visible.vc/mcp"
}
Close
GET /portfolio_files/{id}/download_url

Returns a temporary download URL for a portfolio file.

Path parameters

  • id string(uuid) Required

    ID of the portfolio file

Responses

  • 200 application/json

    Successfully retrieved the download URL

    Hide response attribute Show response attribute object
    • download_url string(uri)
  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 404 application/json

    Not Found - The requested resource was not found

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

GET /portfolio_files/{id}/download_url
curl \
 --request GET 'https://api.visible.vc/portfolio_files/{id}/download_url' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "download_url": "https://visible-test.s3.amazonaws.com/example"
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "type": "record_missing"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}